//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2014.08.29 at 12:55:12 PM CEST 
//


package net.ihe.gazelle.goc.template.definer.model;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the schemas.templatedefiner._goonyhwmeekedd8bbul2tg._40 package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 *
 * @author Abderrazek Boufahja
 * @version $Id: $Id
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: schemas.templatedefiner._goonyhwmeekedd8bbul2tg._40
     */
    public ObjectFactory() {
    	// object factory constructor
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.template.definer.model.TemplateSpec}
     *
     * @return a {@link net.ihe.gazelle.goc.template.definer.model.TemplateSpec} object.
     */
    public TemplateSpec createTemplateSpec() {
        return new TemplateSpec();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.template.definer.model.ConstraintType}
     *
     * @return a {@link net.ihe.gazelle.goc.template.definer.model.ConstraintType} object.
     */
    public ConstraintType createConstraintType() {
        return new ConstraintType();
    }
    
    /**
     * Create an instance of {@link net.ihe.gazelle.goc.template.definer.model.ConstraintKind}
     *
     * @return a {@link net.ihe.gazelle.goc.template.definer.model.ConstraintKind} object.
     */
    public ConstraintKind createConstraintKind() {
        return new ConstraintKind();
    }
    
    /**
     * Create an instance of {@link net.ihe.gazelle.goc.template.definer.model.ConstraintType}
     *
     * @return a {@link net.ihe.gazelle.goc.template.definer.model.AdvancedTemplate} object.
     */
    public AdvancedTemplate createAdvancedTemplate() {
        return new AdvancedTemplate();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.goc.template.definer.model.Taml}
     *
     * @return a {@link net.ihe.gazelle.goc.template.definer.model.Taml} object.
     */
    public Taml createTaml() {
        return new Taml();
    }

}
